Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.rdl
Class PlatformPort

    java.lang.Object
      rdlc.rdl.Field_Named
          rdlc.rdl.PlatformPort

All Implemented Interfaces:
  Expression, Field

    public class PlatformPort

extends Field_Named

Represents an actual I/O port as declared in a platform.

Version:
  $Revision: 1.7 $
Author:
  Greg Gibeling

Nested Class Summary

Nested classes/interfaces inherited from interface rdlc.rdl.Expression
`Expression.Phase`

Field Summary
`protected Pair<java.lang.String,java.lang.String>` | `port` A pair of strings denoting the link type and port type of this port.

Fields inherited from class rdlc.rdl.Field_Named
`iName, instance, namespace, rawDynamicID`

Constructor Summary
`PlatformPort(Pair<java.lang.String,java.lang.String> _port)` Full constructor, simple records the given information from the source RDL.
`PlatformPort(java.lang.String _name, Instance _instance, PlatformPort _port)` Copy constructor.

Method Summary
`Field` | `copy(java.lang.String _name, Instance _instance)` Create a copy of this field in the given instance.
`Pair<java.lang.String,java.lang.String>` | `getPort()` Simple accessor.
`java.lang.String` | `toString()` Simple accessor.

Methods inherited from class rdlc.rdl.Field_Named
`getIdentifier, getRawDynamicID, getRequirements, resolve, setInstance, setNamespace, setRawDynamicID, typeMatch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### port

    protected Pair<java.lang.String,java.lang.String> port

  A pair of strings denoting the link type and port type of this port.

Constructor Detail

### PlatformPort

    public PlatformPort(Pair<java.lang.String,java.lang.String> _port)

  Full constructor, simple records the given information from the source RDL.

  Parameters:
    `_port` - A pair of strings denoting the link type and port type of this port.

### PlatformPort

    public PlatformPort(java.lang.String _name,
                        Instance _instance,
                        PlatformPort _port)

  Copy constructor. Used during construction of the unique instance hierarchy for each platform declaration.

  Parameters:
    `_name` - The new name to use.
    `_instance` - The instance this copy will be a member of.
    `_port` - The port declaration from which to copy.

Method Detail

### copy

    public Field copy(java.lang.String _name,
                      Instance _instance)

  Description copied from interface: `Field`
  Create a copy of this field in the given instance. This is highly useful during dynamic hierarchy copying and during back end generation.

  Parameters:
    `_name` - The new name to use.
    `_instance` - The instance the copy should be a member of.
  See Also:
    `Field.copy(String, Instance)`

### toString

    public java.lang.String toString()

  Simple accessor.

  Overrides:
    `toString` in class `Field_Named`
  Returns:
    A human readable representation of this platform port for debugging.

### getPort

    public Pair<java.lang.String,java.lang.String> getPort()

  Simple accessor.

  Returns:
    A pair of strings denoting the link type and port type of this port.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD